public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: sys-cluster/SOS/
@ 2021-08-06  0:16 Alessandro Barbieri
  0 siblings, 0 replies; 4+ messages in thread
From: Alessandro Barbieri @ 2021-08-06  0:16 UTC (permalink / raw
  To: gentoo-commits

commit:     39bc696e1bc0c295322d8372961c632001c2647f
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Thu Aug  5 23:55:47 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Fri Aug  6 00:16:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=39bc696e

sys-cluster/SOS: initial import

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 sys-cluster/SOS/Manifest         |   1 +
 sys-cluster/SOS/SOS-1.5.0.ebuild | 131 +++++++++++++++++++++++++++++++++++++++
 sys-cluster/SOS/metadata.xml     |  43 +++++++++++++
 3 files changed, 175 insertions(+)

diff --git a/sys-cluster/SOS/Manifest b/sys-cluster/SOS/Manifest
new file mode 100644
index 000000000..f36dc6067
--- /dev/null
+++ b/sys-cluster/SOS/Manifest
@@ -0,0 +1 @@
+DIST SOS-1.5.0.tar.gz 544478 BLAKE2B f2a63fbf39958ac238e2d687d866c2f600956b933f956a4d8552acff29973de4d3e46a323b3f8eb3a63d395728cbafdfe119ea99d0fb5e17250d879ff269fb0e SHA512 0506bda8ab898cd1aaea82e230c64e17dde4ccfb3b70c9a4397c90d08643b3c7f96e7eae70e1a2b706b33737e979315372bcc338fc957652cd1b5e55d7a560ad

diff --git a/sys-cluster/SOS/SOS-1.5.0.ebuild b/sys-cluster/SOS/SOS-1.5.0.ebuild
new file mode 100644
index 000000000..f7f505c4f
--- /dev/null
+++ b/sys-cluster/SOS/SOS-1.5.0.ebuild
@@ -0,0 +1,131 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+FORTRAN_NEEDED="fortran"
+
+inherit autotools fortran-2
+
+DESCRIPTION="implementation of the OpenSHMEM specification"
+HOMEPAGE="https://github.com/Sandia-OpenSHMEM/SOS"
+SRC_URI="https://github.com/Sandia-OpenSHMEM/SOS/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD public-domain mpich2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE_OFI_MR="
+	ofi-mr-basic
+	+ofi-mr-scalable
+	ofi-mr-rma-event
+"
+IUSE_TOTAL_DATA_ORDERING="
+	total-data-ordering-always
+	+total-data-ordering-check
+	total-data-ordering-never
+"
+IUSE_EXPAND="OFI_MR TOTAL_DATA_ORDERING"
+IUSE="${IUSE_OFI_MR} ${IUSE_TOTAL_DATA_ORDERING} av-map bounce-buffers cma completion-polling cxx
+debug error-checking fortran long-fortran-header manual-progress memcpy ofi ofi-fence openmp
++pmi-mpi pmi-simple portals4 profiling pthread-mutexes remote-virtual-addressing threads
+thread-completion ucx xpmem"
+
+RDEPEND="
+	ofi? ( sys-block/libfabric )
+	pmi-simple? ( sys-cluster/pmix[pmi] )
+	pmi-mpi? ( virtual/mpi )
+	portals4? ( sys-cluster/portals4 )
+	ucx? ( sys-cluster/ucx )
+	xpmem? ( sys-kernel/xpmem )
+"
+DEPEND="${RDEPEND}"
+
+REQUIRED_USE="
+	^^ ( ${IUSE_OFI_MR/+/} )
+	^^ ( ${IUSE_TOTAL_DATA_ORDERING/+/} )
+	^^ ( pmi-mpi pmi-simple )
+	?? ( cma xpmem )
+	?? ( ofi portals4 )
+"
+
+pkg_setup() {
+	FORTRAN_NEED_OPENMP=0
+	use openmp && FORTRAN_NEED_OPENMP=1
+
+	fortran-2_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	#copied from bootstrap
+	if [[ ! -d ./config ]]; then
+		mkdir ./config || die
+	fi
+	FILES=./man/*.1
+	echo -n "dist_man1_MANS =" > ./man/Makefile.am || die
+	for f in $FILES
+	do
+		echo -n " $(basename $f)" >> ./man/Makefile.am || die
+	done
+	FILES=./man/*.3
+	echo -e -n "\ndist_man3_MANS =" >> ./man/Makefile.am || die
+	for f in $FILES
+	do
+		echo -n " $(basename $f)" >> ./man/Makefile.am || die
+	done
+	echo -e "\n" >> ./man/Makefile.am || die
+
+	eautoreconf
+}
+
+src_configure() {
+	local ofimr
+	use ofi-mr-basic && ofimr="basic"
+	use ofi-mr-scalable && ofimr="scalable"
+	use ofi-mr-rma-event && ofimr="rma-event"
+
+	local tda
+	use total-data-ordering-always && tda="always"
+	use total-data-ordering-check && tda="check"
+	use total-data-ordering-never && tda="never"
+
+	local myconf=(
+		--disable-picky
+		--disable-rpm-prefix
+		--enable-ofi-mr="${ofimr}"
+		--enable-total-data-ordering="${tda}"
+		$(use_enable av-map)
+		$(use_enable bounce-buffers)
+		$(use_enable completion-polling)
+		$(use_enable cxx)
+		$(use_enable debug)
+		$(use_enable error-checking)
+		$(use_enable fortran)
+		$(use_enable long-fortran-header)
+		$(use_enable manual-progress)
+		$(use_enable memcpy)
+		$(use_enable ofi-fence)
+		$(use_enable openmp)
+		$(use_enable pmi-mpi)
+		$(use_enable pmi-simple)
+		$(use_enable profiling)
+		$(use_enable pthread-mutexes)
+		$(use_enable remote-virtual-addressing)
+		$(use_enable threads)
+		$(use_enable thread-completion)
+
+		$(use_with cma)
+		$(use_with ofi)
+		$(use_with pmi-mpi pmi)
+		$(use_with portals4)
+		$(use_with ucx)
+		$(use_with xpmem)
+	)
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	default
+	find "${ED}" -name '*.la' -delete || die
+}

diff --git a/sys-cluster/SOS/metadata.xml b/sys-cluster/SOS/metadata.xml
new file mode 100644
index 000000000..b671c4dd9
--- /dev/null
+++ b/sys-cluster/SOS/metadata.xml
@@ -0,0 +1,43 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>lssndrbarbieri@gmail.com</email>
+		<name>Alessandro Barbieri</name>
+	</maintainer>
+	<use>
+		<flag name="av-map">enable av-map instead of av-table in the OFI transport</flag>
+		<flag name="bounce-buffers">Enable bounce buffers by default</flag>
+		<flag name="cma">Use cross-memory attach for on-node communication</flag>
+		<flag name="completion-polling">Enable polling in quiet, fence, and local completion operations</flag>
+		<flag name="cxx">Enable C++ bindings</flag>
+		<flag name="error-checking">Enable error checking in SHMEM calls.  This will increase the overhead of communication operations.</flag>
+		<flag name="fortran">Enable fortran bindings</flag>
+		<flag name="long-fortran-header">Enable long Fortran header, including all function declarations</flag>
+		<flag name="manual-progress">Enable intermittent progress calls inside transport layer</flag>
+		<flag name="memcpy">Use memcpy to perform local put/get operations</flag>
+		<!--<flag name="nonblocking-fence">By default, shmem_fence() is equivalent to shmem_quiet(), which can be a lengthy operation.  Enabling this feature results in the ordering point being moved from the shmem_fence() to the next put-like call, which can help improve overlap in some cases.</flag>-->
+		<flag name="ofi">Use libfabric as transport layer</flag>
+		<flag name="ofi-fence">Use FI_FENCE feature to optimize put-with-signal operations</flag>
+		<flag name="ofi-mr-basic">OFI memory registration mode: basic</flag>
+		<flag name="ofi-mr-rma-event">The OFI transport will use FI_MR_RMA_EVENT</flag>
+		<flag name="ofi-mr-scalable">The OFI transport will use FI_MR_SCALABLE</flag>
+		<flag name="pmi-mpi">Use MPI for process management</flag>	
+		<flag name="pmi-simple">Include support for interfacing with a PMI 1.0 launcher.  The launcher must be provided by a separate package, such as MPICH, Hydra, or SLURM.</flag>	
+		<flag name="portals4">Use portals4 as transport layer</flag>
+		<flag name="profiling">Enable profiling (pshmem) interface</flag>
+		<flag name="pthread-mutexes">Use pthread mutexes instead of internal queueing locks</flag>
+		<flag name="remote-virtual-addressing"> Enable optimizations assuming the symmetric heap is always symmetric with regards to virtual address. This may cause applications to abort during shmem_init() if such a symmetric heap can not be created, but will reduce the instruction count for some operations. This optimization also requires that the Portals 4 implementation support BIND_INACCESSIBLE on LEs.  This optimization will reduce the overhead of communication calls.</flag>
+		<flag name="thread-completion">Support SHMEM_THREAD_MULTIPLE in OFI transport using FI_THREAD_COMPLETION thread safety model instead of FI_THREAD_SAFE</flag>
+		<flag name="threads">Enable threading support</flag>
+		<flag name="total-data-ordering-always">Always assume total data ordering is available and abort a job if that's not the case</flag>
+		<flag name="total-data-ordering-check">Check will result in slightly higher overhead but will provide a fallback if the network doesn't provide total data ordering</flag>
+		<flag name="total-data-ordering-never">Never use total data ordering optimizations</flag>
+		<flag name="ucx">Use ucx transport</flag>
+		<flag name="xpmem">Use xpmem transport</flag>
+	</use>
+	<upstream>
+		<bugs-to>https://github.com/Sandia-OpenSHMEM/SOS/issues</bugs-to> 
+		<remote-id type="github">Sandia-OpenSHMEM/SOS</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: sys-cluster/SOS/
@ 2022-06-02 13:50 Alessandro Barbieri
  0 siblings, 0 replies; 4+ messages in thread
From: Alessandro Barbieri @ 2022-06-02 13:50 UTC (permalink / raw
  To: gentoo-commits

commit:     4de836b2cb47b36d693ac6d0e4e6dc056953ab00
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Thu Jun  2 13:25:16 2022 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Thu Jun  2 13:50:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4de836b2

sys-cluster/SOS: correctly link to mpi

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 sys-cluster/SOS/{SOS-1.5.0.ebuild => SOS-1.5.0-r1.ebuild} | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/sys-cluster/SOS/SOS-1.5.0.ebuild b/sys-cluster/SOS/SOS-1.5.0-r1.ebuild
similarity index 97%
rename from sys-cluster/SOS/SOS-1.5.0.ebuild
rename to sys-cluster/SOS/SOS-1.5.0-r1.ebuild
index efe8effda..3ac0bd985 100644
--- a/sys-cluster/SOS/SOS-1.5.0.ebuild
+++ b/sys-cluster/SOS/SOS-1.5.0-r1.ebuild
@@ -79,6 +79,11 @@ src_prepare() {
 }
 
 src_configure() {
+	if use pmi-mpi; then
+		export CC=mpicc
+		export CXX=mpicxx
+	fi
+
 	local ofimr
 	use ofi_mr_basic && ofimr="basic"
 	use ofi_mr_scalable && ofimr="scalable"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: sys-cluster/SOS/
@ 2022-06-10  3:58 Alessandro Barbieri
  0 siblings, 0 replies; 4+ messages in thread
From: Alessandro Barbieri @ 2022-06-10  3:58 UTC (permalink / raw
  To: gentoo-commits

commit:     7d014f67f373451ad3b5f9d759f56b078986c608
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Thu Jun  9 23:39:41 2022 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Fri Jun 10 03:58:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7d014f67

sys-cluster/SOS: update LICENSE

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 sys-cluster/SOS/SOS-1.5.0-r1.ebuild | 16 +++++++---------
 sys-cluster/SOS/metadata.xml        |  3 +--
 2 files changed, 8 insertions(+), 11 deletions(-)

diff --git a/sys-cluster/SOS/SOS-1.5.0-r1.ebuild b/sys-cluster/SOS/SOS-1.5.0-r1.ebuild
index 3ac0bd985..a4ebf34c7 100644
--- a/sys-cluster/SOS/SOS-1.5.0-r1.ebuild
+++ b/sys-cluster/SOS/SOS-1.5.0-r1.ebuild
@@ -11,7 +11,7 @@ DESCRIPTION="implementation of the OpenSHMEM specification"
 HOMEPAGE="https://github.com/Sandia-OpenSHMEM/SOS"
 SRC_URI="https://github.com/Sandia-OpenSHMEM/SOS/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
 
-LICENSE="BSD public-domain mpich2"
+LICENSE="BSD public-domain"
 SLOT="0"
 KEYWORDS="~amd64"
 IUSE_OFI_MR="
@@ -26,13 +26,12 @@ IUSE_TOTAL_DATA_ORDERING="
 "
 IUSE="${IUSE_OFI_MR} ${IUSE_TOTAL_DATA_ORDERING} av-map bounce-buffers cma completion-polling cxx
 debug error-checking fortran long-fortran-header manual-progress memcpy ofi ofi-fence openmp
-+pmi-mpi pmi-simple portals4 profiling pthread-mutexes remote-virtual-addressing threads
++pmi portals4 profiling pthread-mutexes remote-virtual-addressing threads
 thread-completion ucx xpmem"
 
 RDEPEND="
 	ofi? ( sys-block/libfabric )
-	pmi-simple? ( sys-cluster/pmix[pmi] )
-	pmi-mpi? ( virtual/mpi )
+	pmi? ( || ( sys-cluster/slurm sys-cluster/pmix[pmi] ) )
 	portals4? ( sys-cluster/portals4 )
 	ucx? ( sys-cluster/ucx )
 	xpmem? ( sys-kernel/xpmem )
@@ -42,7 +41,6 @@ DEPEND="${RDEPEND}"
 REQUIRED_USE="
 	^^ ( ${IUSE_OFI_MR/+/} )
 	^^ ( ${IUSE_TOTAL_DATA_ORDERING/+/} )
-	^^ ( pmi-mpi pmi-simple )
 	?? ( cma xpmem )
 	?? ( ofi portals4 )
 "
@@ -79,7 +77,7 @@ src_prepare() {
 }
 
 src_configure() {
-	if use pmi-mpi; then
+	if use pmi; then
 		export CC=mpicc
 		export CXX=mpicxx
 	fi
@@ -96,6 +94,7 @@ src_configure() {
 
 	local myconf=(
 		--disable-picky
+		--disable-pmi-simple
 		--disable-rpm-prefix
 		--enable-ofi-mr="${ofimr}"
 		--enable-total-data-ordering="${tda}"
@@ -111,8 +110,7 @@ src_configure() {
 		$(use_enable memcpy)
 		$(use_enable ofi-fence)
 		$(use_enable openmp)
-		$(use_enable pmi-mpi)
-		$(use_enable pmi-simple)
+		$(use_enable pmi pmi-mpi)
 		$(use_enable profiling)
 		$(use_enable pthread-mutexes)
 		$(use_enable remote-virtual-addressing)
@@ -121,7 +119,7 @@ src_configure() {
 
 		$(use_with cma)
 		$(use_with ofi)
-		$(use_with pmi-mpi pmi)
+		$(use_with pmi)
 		$(use_with portals4)
 		$(use_with ucx)
 		$(use_with xpmem)

diff --git a/sys-cluster/SOS/metadata.xml b/sys-cluster/SOS/metadata.xml
index a1df257ec..fcba7b257 100644
--- a/sys-cluster/SOS/metadata.xml
+++ b/sys-cluster/SOS/metadata.xml
@@ -19,8 +19,7 @@
 		<!--<flag name="nonblocking-fence">By default, shmem_fence() is equivalent to shmem_quiet(), which can be a lengthy operation.  Enabling this feature results in the ordering point being moved from the shmem_fence() to the next put-like call, which can help improve overlap in some cases.</flag>-->
 		<flag name="ofi">Use libfabric as transport layer</flag>
 		<flag name="ofi-fence">Use FI_FENCE feature to optimize put-with-signal operations</flag>
-		<flag name="pmi-mpi">Use MPI for process management</flag>	
-		<flag name="pmi-simple">Include support for interfacing with a PMI 1.0 launcher.  The launcher must be provided by a separate package, such as MPICH, Hydra, or SLURM.</flag>	
+		<flag name="pmi">Use MPI for process management</flag>	
 		<flag name="portals4">Use portals4 as transport layer</flag>
 		<flag name="profiling">Enable profiling (pshmem) interface</flag>
 		<flag name="pthread-mutexes">Use pthread mutexes instead of internal queueing locks</flag>


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: sys-cluster/SOS/
@ 2022-07-07  7:59 Alessandro Barbieri
  0 siblings, 0 replies; 4+ messages in thread
From: Alessandro Barbieri @ 2022-07-07  7:59 UTC (permalink / raw
  To: gentoo-commits

commit:     dd31309049f611fe1182e7448a17a77edf2061f6
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Thu Jul  7 07:42:24 2022 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Thu Jul  7 07:59:06 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=dd313090

sys-cluster/SOS: add 1.5.1

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 sys-cluster/SOS/Manifest         |   1 +
 sys-cluster/SOS/SOS-1.5.1.ebuild | 133 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 134 insertions(+)

diff --git a/sys-cluster/SOS/Manifest b/sys-cluster/SOS/Manifest
index f36dc6067..39fe5f9b1 100644
--- a/sys-cluster/SOS/Manifest
+++ b/sys-cluster/SOS/Manifest
@@ -1 +1,2 @@
 DIST SOS-1.5.0.tar.gz 544478 BLAKE2B f2a63fbf39958ac238e2d687d866c2f600956b933f956a4d8552acff29973de4d3e46a323b3f8eb3a63d395728cbafdfe119ea99d0fb5e17250d879ff269fb0e SHA512 0506bda8ab898cd1aaea82e230c64e17dde4ccfb3b70c9a4397c90d08643b3c7f96e7eae70e1a2b706b33737e979315372bcc338fc957652cd1b5e55d7a560ad
+DIST SOS-1.5.1.tar.gz 590101 BLAKE2B c6ca85942dbfbd4ecc02700ec2b84ab4f6fd00809ba77448973255ddea8ffab13977bbbe6bb7a2d69476f7fc5e6de43e077193dc8a6761a0de05d5a9c8a0a6a2 SHA512 a181a14c841611fbac2ba69b8f25ce856e1e5e9c9a7bbd37482e77d61b83365863778bcbaf898c4d6489c6b9c0aa69fb8fd60bc5468bcc01f82002d0533d0378

diff --git a/sys-cluster/SOS/SOS-1.5.1.ebuild b/sys-cluster/SOS/SOS-1.5.1.ebuild
new file mode 100644
index 000000000..a4ebf34c7
--- /dev/null
+++ b/sys-cluster/SOS/SOS-1.5.1.ebuild
@@ -0,0 +1,133 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+FORTRAN_NEEDED="fortran"
+
+inherit autotools fortran-2
+
+DESCRIPTION="implementation of the OpenSHMEM specification"
+HOMEPAGE="https://github.com/Sandia-OpenSHMEM/SOS"
+SRC_URI="https://github.com/Sandia-OpenSHMEM/SOS/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE_OFI_MR="
+	ofi_mr_basic
+	+ofi_mr_scalable
+	ofi_mr_rma-event
+"
+IUSE_TOTAL_DATA_ORDERING="
+	total_data_ordering_always
+	+total_data_ordering_check
+	total_data_ordering_never
+"
+IUSE="${IUSE_OFI_MR} ${IUSE_TOTAL_DATA_ORDERING} av-map bounce-buffers cma completion-polling cxx
+debug error-checking fortran long-fortran-header manual-progress memcpy ofi ofi-fence openmp
++pmi portals4 profiling pthread-mutexes remote-virtual-addressing threads
+thread-completion ucx xpmem"
+
+RDEPEND="
+	ofi? ( sys-block/libfabric )
+	pmi? ( || ( sys-cluster/slurm sys-cluster/pmix[pmi] ) )
+	portals4? ( sys-cluster/portals4 )
+	ucx? ( sys-cluster/ucx )
+	xpmem? ( sys-kernel/xpmem )
+"
+DEPEND="${RDEPEND}"
+
+REQUIRED_USE="
+	^^ ( ${IUSE_OFI_MR/+/} )
+	^^ ( ${IUSE_TOTAL_DATA_ORDERING/+/} )
+	?? ( cma xpmem )
+	?? ( ofi portals4 )
+"
+
+pkg_setup() {
+	FORTRAN_NEED_OPENMP=0
+	use openmp && FORTRAN_NEED_OPENMP=1
+
+	fortran-2_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	#copied from bootstrap
+	if [[ ! -d ./config ]]; then
+		mkdir ./config || die
+	fi
+	FILES=./man/*.1
+	echo -n "dist_man1_MANS =" > ./man/Makefile.am || die
+	for f in $FILES
+	do
+		echo -n " $(basename $f)" >> ./man/Makefile.am || die
+	done
+	FILES=./man/*.3
+	echo -e -n "\ndist_man3_MANS =" >> ./man/Makefile.am || die
+	for f in $FILES
+	do
+		echo -n " $(basename $f)" >> ./man/Makefile.am || die
+	done
+	echo -e "\n" >> ./man/Makefile.am || die
+
+	eautoreconf
+}
+
+src_configure() {
+	if use pmi; then
+		export CC=mpicc
+		export CXX=mpicxx
+	fi
+
+	local ofimr
+	use ofi_mr_basic && ofimr="basic"
+	use ofi_mr_scalable && ofimr="scalable"
+	use ofi_mr_rma-event && ofimr="rma-event"
+
+	local tda
+	use total_data_ordering_always && tda="always"
+	use total_data_ordering_check && tda="check"
+	use total_data_ordering_never && tda="never"
+
+	local myconf=(
+		--disable-picky
+		--disable-pmi-simple
+		--disable-rpm-prefix
+		--enable-ofi-mr="${ofimr}"
+		--enable-total-data-ordering="${tda}"
+		$(use_enable av-map)
+		$(use_enable bounce-buffers)
+		$(use_enable completion-polling)
+		$(use_enable cxx)
+		$(use_enable debug)
+		$(use_enable error-checking)
+		$(use_enable fortran)
+		$(use_enable long-fortran-header)
+		$(use_enable manual-progress)
+		$(use_enable memcpy)
+		$(use_enable ofi-fence)
+		$(use_enable openmp)
+		$(use_enable pmi pmi-mpi)
+		$(use_enable profiling)
+		$(use_enable pthread-mutexes)
+		$(use_enable remote-virtual-addressing)
+		$(use_enable threads)
+		$(use_enable thread-completion)
+
+		$(use_with cma)
+		$(use_with ofi)
+		$(use_with pmi)
+		$(use_with portals4)
+		$(use_with ucx)
+		$(use_with xpmem)
+	)
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	default
+	find "${ED}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2022-07-07  7:59 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-07-07  7:59 [gentoo-commits] repo/proj/guru:dev commit in: sys-cluster/SOS/ Alessandro Barbieri
  -- strict thread matches above, loose matches on Subject: below --
2022-06-10  3:58 Alessandro Barbieri
2022-06-02 13:50 Alessandro Barbieri
2021-08-06  0:16 Alessandro Barbieri

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox